linux_dvd_rw_utils
3
HAL Library

# linux_dvd_rw_utils

## Synopsis

    int         get_dvd_r_rw_profile            (HFPCDROM *cdrom);
    int         get_read_write_speed            (HFPCDROM *cdrom,
                                                 int *read_speed,
                                                 int *write_speed,
                                                 char **write_speeds);
    int         get_disc_capacity_for_type      (HFPCDROM *cdrom,
                                                 int type,
                                                 guint64 *capacity);
    int         get_disc_type                   (HFPCDROM *cdrom);
    int         disc_is_appendable              (HFPCDROM *cdrom);
    int         disc_is_rewritable              (HFPCDROM *cdrom);

## Description

## Details

### get_dvd_r_rw_profile ()

    int         get_dvd_r_rw_profile            (HFPCDROM *cdrom);

`cdrom` :

Returns :

### get_read_write_speed ()

    int         get_read_write_speed            (HFPCDROM *cdrom,
                                                 int *read_speed,
                                                 int *write_speed,
                                                 char **write_speeds);

`cdrom` :

`read_speed` :

`write_speed` :

`write_speeds` :

Returns :

### get_disc_capacity_for_type ()

    int         get_disc_capacity_for_type      (HFPCDROM *cdrom,
                                                 int type,
                                                 guint64 *capacity);

`cdrom` :

`type` :

`capacity` :

Returns :

### get_disc_type ()

    int         get_disc_type                   (HFPCDROM *cdrom);

`cdrom` :

Returns :

### disc_is_appendable ()

    int         disc_is_appendable              (HFPCDROM *cdrom);

`cdrom` :

Returns :

### disc_is_rewritable ()

    int         disc_is_rewritable              (HFPCDROM *cdrom);

`cdrom` :

Returns :